=== debian/changelog ===
xtpcpp (0.1.13-1) jessie; urgency=medium

  * progress bar, now spectral count output

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 12 Jun 2017 08:59:00 +0200

xtpcpp (0.1.12-1) jessie; urgency=medium

  * first PTM island support

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 31 May 2017 10:51:11 +0200

xtpcpp (0.1.11-2) jessie; urgency=medium

  * new odsstream library

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 23 May 2017 23:09:30 +0200

xtpcpp (0.1.11-1) jessie; urgency=medium

  * proticdbml output

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 20 May 2017 17:36:09 +0200

xtpcpp (0.1.10-1) jessie; urgency=medium

  * trick to read MGF files

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 12 May 2017 10:26:42 +0200

xtpcpp (0.1.9-1) jessie; urgency=medium

  * MGF peak sorting, waiting dialog, new ODS sheets (samples, groups)

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 09 May 2017 11:30:23 +0200

xtpcpp (0.1.8-1) jessie; urgency=medium

  * better peptide viewer

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 05 May 2017 16:28:16 +0200

xtpcpp (0.1.7-1) jessie; urgency=medium

  * button to link with peptide viewer

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 04 May 2017 14:47:48 +0200

xtpcpp (0.1.6-1) jessie; urgency=medium

  * new ODS sheet in outputs

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 03 May 2017 10:28:25 +0200

xtpcpp (0.1.5-2) jessie; urgency=medium

  * new export options

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Apr 2017 10:30:20 +0200

xtpcpp (0.1.5-1) jessie; urgency=medium

  * new export options

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 28 Apr 2017 10:18:20 +0200

xtpcpp (0.1.4-1) jessie; urgency=medium

  * FASTA export

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 27 Apr 2017 09:19:11 +0200

xtpcpp (0.1.3-1) jessie; urgency=medium

  * thanks Ariane and Thierry

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 25 Apr 2017 16:22:04 +0200

xtpcpp (0.1.2-1) jessie; urgency=medium

  * new modification editor, new FDR mass deviation behaviour, lots of
    improvements

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 24 Apr 2017 10:17:53 +0200

xtpcpp (0.1.1-1) jessie; urgency=medium

  * bug fix and new features

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 20 Apr 2017 11:32:40 +0200

xtpcpp (0.1.0-1) jessie; urgency=medium

  * first jessie package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 19 Apr 2017 10:15:33 +0200

xtpcpp (0.1.0-1~stretch) stretch; urgency=medium

  * first package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Apr 2017 20:55:14 +0200
