=== debian/control ===
Source: xtpcpp
Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), cmake (>= 2.6), libqt4-dev (>= 4.8), libpappsomspp-dev (= 0.2.35-1), libpwiz-dev, libodsstream-dev
Standards-Version: 3.9.4

Package: xtpcpp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}, libpappsomspp-qt4 (= 0.2.35-1), libpwiz3,
         libodsstream-qt4, libqtgui4
Pre-Depends: ${misc:Pre-Depends}
Description: C++ version of X!TandemPipeline
