## xtpcpp 0.2.40-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,19 @@
 # Global parameters
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
 PROJECT(xtpcpp CXX)
+
+
+# Find includes in corresponding build directories
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
+# Instruct CMake to run moc automatically when needed.
+set(CMAKE_AUTOMOC ON)
+
+
 IF(NOT CMAKE_BUILD_TYPE)
 #  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
 #      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
 #      FORCE)
-  SET(CMAKE_BUILD_TYPE Debug CACHE STRING
+  SET(CMAKE_BUILD_TYPE Release CACHE STRING
       "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
       FORCE)
 ENDIF(NOT CMAKE_BUILD_TYPE)
@@ -30,19 +38,27 @@
 ENDIF( CMAKE_BUILD_TYPE MATCHES "RelWithDebInfo" )
 
 #SET(CMAKE_CXX_FLAGS "-Wall -Weffc++ -Wshadow -Wconversion")
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-
+#set(CMAKE_CXX_STANDARD 14)
+if (CMAKE_VERSION VERSION_LESS "3.1")
+    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+        set (CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
+    endif ()
+else ()
+    set (CMAKE_CXX_STANDARD 14)
+endif ()
 
 #depending on libpappsomspp version :
-SET(LIBPAPPSOMSPP_VERSION "0.2.35-1")
+SET(LIBPAPPSOMSPP_VERSION "0.6.3-1")
 configure_file (${CMAKE_SOURCE_DIR}/debian/control.cmake ${CMAKE_SOURCE_DIR}/debian/control  @ONLY)
 
 
-SET(SOFTWARE_NAME "XTPcpp")
+SET(SOFTWARE_NAME "X!TandemPipeline")
+
+SET(BUILD_SYSTEM_NAME "${CMAKE_SYSTEM}")
 
 SET(XTPCPP_VERSION_MAJOR "0")
-SET(XTPCPP_VERSION_MINOR "1")
-SET(XTPCPP_VERSION_PATCH "13")
+SET(XTPCPP_VERSION_MINOR "2")
+SET(XTPCPP_VERSION_PATCH "40")
 SET(XTPCPP_VERSION "${XTPCPP_VERSION_MAJOR}.${XTPCPP_VERSION_MINOR}.${XTPCPP_VERSION_PATCH}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
@@ -103,7 +119,6 @@
  "debian/debhelper\\\\.log"
  "build/"
  "cbuild/"
- "html"
  "Core.tag"
  "Testing"
  "build-stamp"
@@ -189,7 +204,10 @@
 #ENDIF(BUILD_TESTING)
 
 configure_file (${CMAKE_SOURCE_DIR}/templates/share/applications/xtpcpp.desktop.cmake ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop)
+configure_file (${CMAKE_SOURCE_DIR}/win64/xtpcpp-mingw64-win7+.iss.cmake ${CMAKE_SOURCE_DIR}/win64/xtpcpp-mingw64-win7+.iss)
+
+INSTALL(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop DESTINATION share/applications)
+
 INSTALL(PROGRAMS ${CMAKE_BINARY_DIR}/src/xtpcpp DESTINATION bin)
-INSTALL(FILES ${CMAKE_BINARY_DIR}/templates/share/applications/xtpcpp.desktop DESTINATION share/applications)
 configure_file(${CMAKE_SOURCE_DIR}/src/resources/xtandempipeline_icon.svg ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg COPYONLY)
 INSTALL(FILES ${CMAKE_BINARY_DIR}/src/resources/xtpcpp.svg DESTINATION share/icons/hicolor/scalable/apps)
