=== debian/changelog ===
xtpcpp (0.2.40-1) stretch; urgency=medium

  * find spectrum directly by index if scan numbers are not supported
  * MassChroqML output without peptide labels in comments
  * new UI to choose removal contaminant mode
  * new FDR computation : decoy/target
  * FDR driven peptide theshold, available for Tandem and Mascot results

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 12 Sep 2019 09:10:45 +0200

xtpcpp (0.2.38-4) stretch; urgency=medium

  * scoring, pluggable scoring added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Jun 2019 13:37:52 +0200

xtpcpp (0.2.38-3) stretch; urgency=medium

  * refine, maximum missed cleavage sites added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Jun 2019 13:28:02 +0200

xtpcpp (0.2.38-2) stretch; urgency=medium

  * protein, use minimal annotation parameter added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Jun 2019 11:43:37 +0200

xtpcpp (0.2.38-1) stretch; urgency=medium

  * new button to look for the best MS run to use as reference in alignment
  * accepts to run TPP modified version of X!Tandem, using specific parameters
  (DIA requirements)
  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Jun 2019 13:53:16 +0200

xtpcpp (0.2.37-2) stretch; urgency=medium

  * sum/max extraction bug fixed, thanks to Marlène and Thierry

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 28 May 2019 16:06:10 +0200

xtpcpp (0.2.37-1) stretch; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 24 May 2019 11:53:47 +0200

xtpcpp (0.2.36-1) stretch; urgency=medium

  * proticdbml fix
  * new tandem.exe setup control
  * better error message for tandem run process

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 16 Apr 2019 15:03:10 +0200

xtpcpp (0.2.35-2) stretch; urgency=medium

  * fix libodsstream problem

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Mar 2019 11:27:19 +0100

xtpcpp (0.2.35-1) stretch; urgency=medium

  * mutation support
  * peprepro filter

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Mar 2019 10:46:03 +0100

xtpcpp (0.2.34-2) stretch; urgency=medium

  * fix filename bug

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 19 Mar 2019 08:53:24 +0100

xtpcpp (0.2.34-1) stretch; urgency=medium

  * fix ppm range in MassChroqML export (thanks to Thierry Balliau)
  * new features asked by Plateforme Post-génomique de la Pitié Salpétrière - P3S 
  (Solenne Chardonnet, Cédric Pionneau)
  * write protein list view as is in ODS file
  * write peptide list view as is in ODS file
  * new ui menu in peptide and protein list wiew
  * ppm delta added in ODS spectra sheet export
  * display Nter and Cter peptide flanking regions in ODS and list views

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 18 Mar 2019 11:06:11 +0100

xtpcpp (0.2.33-1) stretch; urgency=medium

  * scroll area for small screens
  * xic extraction method (sum or max)
  * resilient ODS on failure
  * global settings windows
  * xic extractor reader choice

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Feb 2019 13:29:57 +0100

xtpcpp (0.2.32-1) stretch; urgency=medium

  * moving to refactored PAPPSOms++ library
  * bug fixed in FASTA exports

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 06 Feb 2019 11:48:02 +0100

xtpcpp (0.2.31-2) stretch; urgency=medium

  * user agent created, variable to disable htpp get version

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 01 Feb 2019 14:36:56 +0100

xtpcpp (0.2.31-1) stretch; urgency=medium

  * new Fasta file exports by groups and subgroups
  * better MassChroqML output : check MS run file paths, set output result files, set alignment/xic exctraction/peak detection parameters

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 28 Jan 2019 15:13:20 +0100

xtpcpp (0.2.30-1) stretch; urgency=medium

  * new ODS spreadsheet dedicated to peptidomic : comparison of the
    number of spectra for each peptide in each sample

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 14 Jan 2019 10:43:00 +0100

xtpcpp (0.2.29-4) stretch; urgency=medium

  * new PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 08 Jan 2019 16:19:34 +0100

xtpcpp (0.2.29-3) stretch; urgency=medium

  * new pappsomspp library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 02 Jan 2019 21:52:00 +0100

xtpcpp (0.2.29-1) stretch; urgency=medium

  * modification to be qcustomplot 2.0.1 compliant
  * accept labeling method containing an empty label

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 15 Dec 2018 16:51:44 +0100

xtpcpp (0.2.28-3) stretch; urgency=medium

  * mascot takes all query candidates
  * fix thread wait loading spectrum

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 07 Dec 2018 10:44:46 +0100

xtpcpp (0.2.28-2) stretch; urgency=medium

  * take only first spectrum psm in mascot parser

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 27 Nov 2018 09:21:43 +0100

xtpcpp (0.2.28-1) stretch; urgency=medium

  * improved mascot dat parser
  * ability to choose TSV as export file format
  * icon added for Windows
  * more checks on tandem binary path
  * dependency added on package tandem-mass

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 26 Nov 2018 15:29:21 +0100

xtpcpp (0.2.27-1) stretch; urgency=medium

  * look for sequence LI

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 13 Nov 2018 14:58:53 +0100

xtpcpp (0.2.26-1) stretch; urgency=medium

  * display distinctively the FDR on peptides and on PSM

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 09 Nov 2018 10:50:11 +0100

xtpcpp (0.2.25-2) stretch; urgency=medium

  * new version number 0.2.25

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 02 Nov 2018 15:31:01 +0100

xtpcpp (0.2.25-1) stretch; urgency=medium

  * mascot parser fix for single fasta file

